mav_paletteMaterialSet(3)

NAME
mav_paletteMaterialSet - Define a material entry in a palette.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteMaterialSet(MAV_palette *p, int index, float ar, float ag, float ab, float aa, float dr, float dg, float db, float da, float sr, float sg, float sb, float sa, float er, float eg, float eb, float ea, float shin);

ARGUMENTS

MAV_palette *p
    Palette to set.

int index
    Index of materials to define, in range 0..mav_opt_maxMaterials (default 150).

float ar,
    Ambient R, G, B, A (0.0-1.0).

float dr,
    Diffuse R, G, B, A (0.0-1.0).

float sr,
    Specular R, G, B, A (0.0-1.0).

float er,
    Emissive R, G, B, A (0.0-1.0).

float shin
    Shininess (specular Phong exponent) (0.0-128.0)

DESCRIPTION
This function defines material entry index of palette p as specified by the various values described above.

SEE ALSO
mav_paletteColourSet, mav_paletteTextureSet